Bug 9829 - [FR] Добавить возможность скачивания SourceX и PatchX
: [FR] Добавить возможность скачивания SourceX и PatchX
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/prometeus)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-08-01 13:20 by
Modified: 2008-03-14 00:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-01 13:20:23
Хотелось бы, чтобы патчи можно было бы не только просматривать веб-интерфейсом,
но ещё и иметь возможность просто скачать их. Копировать не удобно, src.rpm
скачивать нерационально...

Иметь возможность скачивания разных SourceX тоже было бы неплохо.
------- Comment #1 From 2006-08-01 13:30:41 -------
Когда-то я об этом тоже просил...
------- Comment #2 From 2006-10-02 15:54:10 -------
crux@ больше не занимается prometeus
------- Comment #3 From 2007-08-23 11:25:15 -------
1. Добавил возможность скачивания патчей на тестовой площадке
alt3.linux.kiev.ua. Посмотрите пожалуйста, устроит ли такой вариант. 

2. Чтобы скачивать отдельные sourceX необходимо запихивать их все в базу.
Получится, что у нас в базе весь сизиф будет. Я думаю это не самый лучший
вариант, так что добавлять такую возможность я не планирую.
------- Comment #4 From 2007-08-23 11:48:49 -------
1. Неплохо бы выдавать заголовок Content-Disposition с разумным filename= при
скачивании патча.
2. А почему в базе? SRPMы же где-то лежат, правда? И rpm2cpio | cpio --extract
работает.
------- Comment #5 From 2007-08-23 11:54:11 -------
Может быть mime-type стоит отдавать как text/plain а не application/other?
------- Comment #6 From 2007-08-23 11:57:16 -------
Ещё: на странице, где показывают патч, тоже должна быть ссылка Download.
------- Comment #7 From 2007-08-23 12:13:37 -------
>1. Неплохо бы выдавать заголовок Content-Disposition с разумным filename= при
> скачивании патча.
Исправлено.

>2. А почему в базе? SRPMы же где-то лежат, правда? И rpm2cpio | cpio --extract
>работает.
На сколько я понял, prometeus изначально проектировался как автономное решение,
которое берет всю информацию во время работы только из базы и периодически по
крону обновляет саму базу. Бесспорно технически реализовать это можно, но если
делать на ходу rpm2cpio, то возникают вопросы о производительности, уязвимости
ДоС и др. Если для Вас это критично и Вы настаиваете на добавлении этой
возможности, давайте вынесем на это на обсуждение в devel@.

> Может быть mime-type стоит отдавать как text/plain а не application/other?
Исправлено.

> Ещё: на странице, где показывают патч, тоже должна быть ссылка Download.
Сделаю.
------- Comment #8 From 2007-08-23 12:24:54 -------
> если делать на ходу rpm2cpio, то возникают вопросы о производительности, 
> уязвимости ДоС и др. Если для Вас это критично и Вы настаиваете на 
> добавлении этой возможности, давайте вынесем на это на обсуждение в devel@.
Нет, не критично. Немного обидно за *.po и *.desktop файлы, которые нельзя
скачивать только потому, что они не патчи. Но если сложно, то, конечно, не
надо.
------- Comment #9 From 2007-08-23 12:34:22 -------
> Ещё: на странице, где показывают патч, тоже должна быть ссылка Download.
Сделал.

> Нет, не критично. Немного обидно за *.po и *.desktop файлы, которые нельзя
> скачивать только потому, что они не патчи. Но если сложно, то, конечно, не надо.
Да, я понимаю что это было бы удобно, но в данный момент мне кажется это нельзя
сделать. Если в будущем появится такая возможность, непременно сделаю.
------- Comment #10 From 2007-09-04 15:18:15 -------
(In reply to comment #3)

> 2. Чтобы скачивать отдельные sourceX необходимо запихивать их все в базу.
> Получится, что у нас в базе весь сизиф будет. Я думаю это не самый лучший
> вариант, так что добавлять такую возможность я не планирую.

Тем не менее, конфиги полезно было бы там видеть, к примеру... Может быть, 
сделать ограничение на размер sourceX ? Или предположить, что исходники только 
в Source0 ?
------- Comment #11 From 2007-09-04 15:21:05 -------
(In reply to comment #10)
> Может быть, 
> сделать ограничение на размер sourceX ?
Разумно.

> Или предположить, что исходники только 
> в Source0 ?
А вот это не сработает.
------- Comment #12 From 2007-09-04 20:54:16 -------
(In reply to comment #11)
> > Может быть, сделать ограничение на размер sourceX ?
> Разумно.
Исключительно чтобы вытащить не-patch/diff а-ля конфиги?

Как правило, Source* составляют львиную долю src.rpm и кому они нужны -- пусть
сливает весь исходный пакет.  Не вижу смысла их дублировать.

Заботиться на данном этапе о тех, кому влом установить себе rpm, но хочется
брать исходники из наших пакетов -- смысла тоже не вижу, лучше потратить это
время на удобство для разработчиков Sisyphus.

Опять же не стоит полгода ковырять то, что за год уедет в git, как мне
кажется... у нас много вещей, которые и тогда останутся, но вот совершенствовать
систему потрошения/показа srpms в существенной мере мне кажется уже неоптимальным.
------- Comment #13 From 2007-09-05 08:40:13 -------
+1. В сфере постепенного перехода на git даная функция утрачивает смысл, и
шибко
развивать её я не вижу смысла.
------- Comment #14 From 2007-10-17 01:50:42 -------
Раз много желающих не нашлось, то закрываю со статусом WONTFIX. Если у кого-то
будет время и желание - пишите патчи.
------- Comment #15 From 2007-11-03 18:59:35 -------
Патчи, кстати, сделаны на http://alt3.linux.kiev.ua и уже выкачены на
http://sisyphus.ru.  Таким образом, 50% FIXED, 50% WONTFIX и 100% CLOSED :)
------- Comment #16 From 2007-11-08 01:31:23 -------
Сделаю в недалеком будущем.
------- Comment #17 From 2008-03-14 00:03:29 -------
Таксс.. Кажется я это сделал. Проверяем на alt3.linux.kiev.ua. Отображаются
исходники меньше 128Кб. Соответственно и скачивать можно их же. Более над
развитием этой фичи работать не хочу. Всех устраивает?
------- Comment #18 From 2008-03-14 00:43:17 -------
(In reply to comment #17)
> Таксс.. Кажется я это сделал. Проверяем на alt3.linux.kiev.ua.
Ой, только на главной под меню прямщас:

Группа: Система/Основа
О пакете: Menu system
Изменения:
- improve desktop categories translation file

> Отображаются исходники меньше 128Кб. Соответственно и скачивать можно их же. 
> Более над развитием этой фичи работать не хочу. Всех устраивает?
Не надо делать того, что не хочешь, пока есть много интересного тебе и нужного и
тебе, и другим :)